\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb}

\begin{document}
You may see these three.
\begin{equation*}
  P=\begin{pmatrix}
    a &b \\
    c &d
  \end{pmatrix}
  \quad
  B=\begin{bmatrix}
    a &b \\
    c &d
  \end{bmatrix}
  \quad
  V=\begin{vmatrix}
    a &b \\
    c &d
  \end{vmatrix}
\end{equation*}
Here is a matrix vector multiplication.
\begin{equation*}
  \begin{pmatrix}
    a_{1,1} &a_{1,2} \\
    a_{2,1} &a_{2,2}
  \end{pmatrix}
  \begin{pmatrix}
    v_1 \\
    v_2
  \end{pmatrix}
  =
  \begin{pmatrix}
    a_{1,1}v_1+a_{1,2}v_2 \\
    a_{2,1}v_1+a_{2,2}v_2
  \end{pmatrix}
\end{equation*}
Matrix-matrix multiplication is defined by this summation.
\begin{equation*}
  m_{r,c}=\sum_{i=1}^{n}\,a_{r,i}b_{i,c}
\end{equation*}
\end{document}     
